<?php

/*
 * Copyright (C) xgcms.com
 */

class stat extends base_model {
	
	function __construct(&$conf) {
		parent::__construct($conf);
		$this->table = 'stat';
		$this->primarykey = array('year', 'month', 'day');
		
	}

	public function _delete($year, $month, $day) {
		$return = $this->delete($year, $month, $day);
		if($return) {
			$this->count('-1');
		}
		return $return;
	}
	
	// 取时间段
	public function get_list_by_date_range($startdate, $enddate) {
		
	}
}
?>